proc showMulti { } {
	global sld sldi cv
	if {$sld(multi)} {
		set sld(scale) [expr 240./$sld(dwidth)]
		pack forget .c.c .c.cscrollh .c.cscrollv
		set n 1
		for	{set i 0} {$i < 3} {incr i} {
			for	{set j 0} {$j < 2} {incr j} {
				grid [canvas .c.x${i}y$j -width 240 -height 180 \
					-relief sunken -bd 3 -bg beige]\
					-row $i -column $j -padx 5 -pady 5
				bind .c.x${i}y$j <1> "showSingle $n"
				incr n
			}
		}
		set cv .c.x0y0
	} else {
		set sld(scale) $sld(zoom)
		for	{set i 0} {$i < 3} {incr i} {
			for	{set j 0} {$j < 2} {incr j} {
				destroy .c.x${i}y$j
				pack .c.cscrollh -side bottom -fill x
				pack .c.c .c.cscrollv -side left -fill both
			}
		}
		set cv .c.c
	}
	showSlide
}

proc showSingle { n } {
	global sld cv
	set sld(multi) 0
	showMulti
	gotoSlide $n	
}

proc applyZoom { } {
	global sld
	set sld(scale) $sld(zoom)
	showSlide
	moveRulers
}
